创建 itemPublication

命名空间:microsoft.graph

在用户配置文件 中创建新的 itemPublication 对象

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) User.ReadWrite、User.ReadWrite.All
委派(个人 Microsoft 帐户) User.ReadWrite、User.ReadWrite.All
应用程序 User.ReadWrite.All

HTTP 请求

POST /me/profile/publications
POST /users/{id | userPrincipalName}/profile/publications

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-Type application/json. Required.

请求正文

在请求正文中,提供 itemPublication 对象的 JSON 表示形式。

下表显示了在用户配置文件中创建新的 itemPublication 对象时可以设置 的属性

属性 类型 Description
allowedAudiences String 能够查看实体中包含的值的访问群体。 继承自 itemFacet。 可取值为:mefamilycontactsgroupMembersorganizationfederatedOrganizationseveryoneunknownFutureValue
createdBy identitySet 提供创建实体的用户和/或应用程序的标识符。 继承自 itemFacet
createdDateTime DateTimeOffset 提供实体创建时的日期时间Offset。 继承自 itemFacet
说明 String 出版物的说明。
displayName String 出版物的标题。
id String 用于单独寻址实体的标识符。 继承自 实体
inference inferenceData 如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet
lastModifiedBy identitySet 提供上次修改实体的用户和/或应用程序的标识符。 继承自 itemFacet
lastModifiedDateTime DateTimeOffset 提供实体创建时的日期时间Offset。 继承自 itemFacet
publishedDate Date 出版物的发布日期。
发布者 String 出版物Publisher出版物。
source personDataSource 如果从另一个服务同步,则值源自何处。 继承自 itemFacet
thumbnailUrl String 引用出版物缩略图的 URL。
WebUrl String 引用出版物的 URL。

响应

如果成功,此方法在响应正文中返回 响应代码和 201 Created itemPublication 对象。

示例

POST https://graph.microsoft.com/beta/me/profile/publications
Content-Type: application/json

{
  "description": "One persons journey to the top of the branding management field.",
  "displayName": "Got Brands? The story of Innocenty Popov and his journey to the top.",
  "publishedDate": "Date",
  "publisher": "International Association of Branding Management Publishing",
  "thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
  "webUrl": "https://www.iabm.io"
}

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Content-Type: application/json

{
  "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
  "allowedAudiences": "organization",
  "inference": null,
  "createdDateTime": "2020-07-06T06:34:12.2294868Z",
  "createdBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
  "lastModifiedBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "source": null,
  "description": "One persons journey to the top of the branding management field.",
  "displayName": "Got Brands? The story of Innocenty Popov and his journey to the top.",
  "publishedDate": "Date",
  "publisher": "International Association of Branding Management Publishing",
  "thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
  "webUrl": "https://www.iabm.io"
}